#!/bin/sh
##############################################################################
#
# NAME:	upd-stappxd.sh
#
# Desc:	Script invoked to customize the start-appxd.sh script with the
#	appxpath and port.
#
#	Uses awk and the associated awk script, upd-stappxd.awk.
#
# Use:	upd-stappxd.sh <script_dir> <skel> <appxpath> <port>
#
#	script dir	directory where script, input, output reside
#	skel		skeleton of start-appxd.sh, containing tags
#	appxpath	appxpath value will be substituted into output
#	port		port value will substituted into output
#
# Exp:	The input file, <skel>.skel will be read in as input.
#	It contains tags which will be substituted with the appxpath and
#	port values.
#	Output file will be <skel>.sh
#
# Ex:	upd-stappxd.sh /opt/appx/tools start-appxd /opt/appx/data 8060
#
##############################################################################

cd $1

# Preserve a backup copy of an existing script.

FNAME=`/bin/date|/usr/bin/awk '{printf("%s%s%s-%s",$6,$2,$3,$4)}'` 
cp $2.sh $2.$FNAME

# Execute awk script to replace tags with provided values.

#exec awk -f upd-stappxd.awk appxpath=$3 appxport=$4 out=$2.sh $2.skel
awk -f upd-stappxd.awk appxpath=$3 appxport=$4 out=$2.sh $2.skel

chmod 755 $2.sh

